<div ng-include = "'html/navbarUser.html'"></div>
<div class = "container" style = "margin-top:100px">
   
    <h1>Restorani</h1>
      
     <div  class="form-group has-feedback  col-xs-4">    
         <input type="text" class="form-control" placeholder="Pretraži"  ng-model="searchInput" />
         <i class="glyphicon glyphicon-search form-control-feedback"></i>
     </div>
   
    <br/>
    
    <table class="table table-hover">
        <tr>
            <th>Naziv</th>
            <th>Mesto</th>
            <th>Adresa</th>
            <th>Opis</th>
            <th>Prosečna ocena</th>
            <th></th>
            <th></th>
        </tr>

        <tbody>
            <tr ng-repeat="restaurant in restaurants | filter: searchInput">
                <td>
                                        <span>
                                          {{ restaurant.rsName }}
                                        </span>
                </td>
                <td>
                                        <span>
                                            {{restaurant.rsTown}}
                                        </span>
                </td>
                <td>
                                        <span >
                                            {{restaurant.rsAddress}}
                                        </span>
                </td>
                <td>
                                        <span>
                                            {{restaurant.rsDesc}}
                                        </span>
                </td>
                <td>
                                        <span>
                                            {{restaurant.rsAvggrade}}
                                        </span>
                </td>
                <td><input type="button" value="Rezerviši" class="btn btn-warning" data-toggle="modal" data-target="#reservationModal" 
                    ng-click = "startReservation(restaurant.index);"></td>
            </tr>
        </tbody>
    </table>
    
     <div id="reservationModal" class="modal fade" role="dialog">
      <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Rezervacija</h4>
              </div>
          
        <!-------------------------------------------------Selekcija vremena i datuma rezervacije--------------------------------------------------------------->
              <div class="modal-body" ng-if = "reservationStatus === 'selectDT'">
                  <table  class="table table-bordered">
                     <tr>
                         <th>Restoran</th>
                         <td>{{currentRestaurant.rsName}}</td>
                     </tr>

                     <tr>
                          <th> Datum i vreme</th>
                          <td>
                                <input type = "datetime-local" ng-model = "reservationInput.rsvDate"/>
                          </td>
                     </tr>
                     <tr>
                          <th> Trajanje </th>
                          <td>
                              <select ng-model = "reservationInput.rsvDuration">
                                  <option value = 1> 1 </option>
                                  <option value = 2> 2 </option>
                                  <option value = 3> 3 </option>
                                  <option value = 4> 4 </option>
                                  <option value = 5> 5 </option>
                                  <option value = 6> 6 </option>
                                  <option value = 7> 7 </option>
                              </select>
                          </td>
                     </tr>

                  </table>
              </div>
          
              <div class="modal-footer" ng-if = "reservationStatus === 'selectDT'">
                    <button type="button" class="btn btn-default"  ng-click = "reservationTableStage();">Dalje</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal" ng-click = "cancelReservation();">Poništi</button>
              </div>
          
    <!------------------------------------------------------------------------------------------------------------------------------------------------------>
          
    <!------------------------------------------------------Selekcija stolova--------------------------------------------------------------------------------------->
          
              <div class="modal-body" ng-if = "reservationStatus === 'selectTB'">
                     <h3>Stolovi</h3>
                    <table class="table table-bordered">
                        <tr ng-repeat = "row in tabelMap">
                            <td ng-repeat = "col in row" ng-click = "setCurrentCell(col)" ng-class='{dark : col.tbStatus, light: col.tbStatus == false, 
                                selected : isSelected(col)}'> 
                                <span >S:{{col.id.tbId}}, M:{{col.tbSeats}}</span>
                            </td>
                        </tr>
                    </table>
             </div>
             <div class="modal-footer" ng-if = "reservationStatus === 'selectTB'">
                    <button type="button" class="btn btn-default" ng-click = "reservationFriendStage();">Dalje</button>
                    <button type="button" class="btn btn-default"  ng-click = "prevStage();">Nazad</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal" ng-click = "cancelReservation();">Poništi</button>
             </div>
             
     <!--------------------------------------------------Selekcija prijatelja-------------------------------------------------------------------------------->
             <div class="modal-body" ng-if = "reservationStatus === 'selectFr'">
                    <h3>Pozovi prijatelje</h3>
                        <h4>Prijatelji</h4>
                        <table class="table table-bordered">
                            <tr>
                                <th>Email</th>
                                <th>Ime</th>
                                <th>Prezime</th>
                                <th></th>
                            </tr>
                            <tr ng-repeat = "f in friends">
                                <td>{{f.usrEmail}}</td>
                                <td>{{f.usrName}}</td>
                                <td>{{f.usrPass}}</td>
                                <td>
                                    <button type="button" class="btn btn-default" ng-click = "inviteFriend($index);">Pozovi</button>
                                </td>
                            </tr>
                        </table>
                         
                        <h4> Pozvani</h4>
                        <table class="table table-bordered">
                            <tr>
                                <th>Email</th>
                                <th>Ime</th>
                                <th>Prezime</th>
                                <th></th>
                            </tr>
                            <tr ng-repeat = "f in reservationInvites">
                                <td>{{f.usrEmail}}</td>
                                <td>{{f.usrName}}</td>
                                <td>{{f.usrPass}}</td>
                                <td>
                                    <button type="button" class="btn btn-default" ng-click = "uninviteFriend($index);">Ukloni</button>
                                </td>
                            </tr>
                        </table>
                          
             </div>
             <div class="modal-footer" ng-if = "reservationStatus === 'selectFr'">
                    <button type="button" class="btn btn-default"  ng-click = "reservationConfirmStage();">Dalje</button>
                    <button type="button" class="btn btn-default"  ng-click = "prevStage();">Nazad</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal" ng-click = "cancelReservation();">Poništi</button>
             </div>
       
    <!------------------------------------------------------------------------------------------------------------------------------------------------------>
        
    <!--------------------------------------------------------------Potvrda rezervacije--------------------------------------------------------------------->       
            <div class="modal-body" ng-if = "reservationStatus === 'confirm'">
                    <h3>Potvrda rezervacije</h3>
                        
                        <table class="table table-bordered">
                            <tr>
                                <th>Restoran</th> 
                                <td>{{currentRestaurant.rsName}}</td>  
                            </tr>
                            
                            <tr>
                                <th>Datum i vreme</th>
                                <td>{{reservationInput.rsvDate}}</td>
                            </tr>
                            <tr>
                                <th>Trajanje</th>
                                <td>{{reservationInput.rsvDuration}}</td>
                            </tr>
                            <tr>
                                <th>Sto</th>
                                <td>{{reservationInput.id.tbId}}</td>
                            </tr>
                            
                        </table>
                         
                        <h4> Prijatelji</h4>
                        <table class="table table-bordered">
                            <tr>
                                <th>Email</th>
                                <th>Ime</th>
                                <th>Prezime</th>
                            </tr>
                            <tr ng-repeat = "f in reservationInvites">
                                <td>{{f.usrEmail}}</td>
                                <td>{{f.usrName}}</td>
                                <td>{{f.usrSurname}}</td>
                            </tr>
                        </table>
                          
             </div>
             <div class="modal-footer" ng-if = "reservationStatus === 'confirm'">
                    <button type="button" class="btn btn-default"  ng-click = "createReservation();">Potvrdi</button>
                    <button type="button" class="btn btn-default"  ng-click = "prevStage();">Nazad</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal" ng-click = "cancelReservation();">Poništi</button>
             </div>
          
    <!------------------------------------------------------------------------------------------------------------------------------------------------------>
    <!--------------------------------------------------------------Rezultati--------------------------------------------------------------------->       
            <div class="modal-body" ng-if = "reservationStatus === 'msgConf'">
                   <h3>Rezervacija</h3>
                    <div class = "alert alert-success">Rezervacija uspešno kreirana!</div>   
             </div>
             <div class="modal-footer" ng-if = "reservationStatus === 'msgConf'">
                    <button type="button" class="btn btn-default" data-dismiss="modal">OK</button>
             </div>
             
             <div class="modal-body" ng-if = "reservationStatus === 'msgDen'">
                    <h3>Rezervacija</h3>
                    <div class = "alert alert-danger">Rezervacija nije kreirana!</div>   
             </div>
             <div class="modal-footer" ng-if = "reservationStatus === 'msgDen'">
                    <button type="button" class="btn btn-default" data-dismiss="modal">OK</button>
             </div>
          
    <!------------------------------------------------------------------------------------------------------------------------------------------------------>
       
       
       
       
        </div>
    </div>
</div>
    
    
    
</div>